<!DOCTYPE html>
<html lang="en">

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <title>Task 29.160</title>
</head>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    // các loại pricing
    const gCOMBO_BASIC = "Basic";
    const gCOMBO_PRO = "Pro";
    const gCOMBO_PREMIUM = "Premium";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        //add event click button
        $("#btn-basic").on("click", function () {
            onBtnBasicClick();
        });
        //add event click button
        $("#btn-pro").on("click", function () {
            onBtnProClick();
        });
        //add event click button
        $("#btn-premium").on("click", function () {
            onBtnPremiumClick();
        });
    });

    function onBtnBasicClick() {
        "use strict";
        // gọi hàm đổi màu nút
        // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
        // data-is-selected-menu của nút Basic là Y, các nút khác là N
        changeComboButtonColor(gCOMBO_BASIC);
        //tạo một đối tượng menu, được tham số hóa
        var vCombo = getPlan(gCOMBO_BASIC, 20, 15, 5, 2, 19);

        // gọi method hiển thị thông tin
        vCombo.displayInConsoleLog();
    }

    function onBtnProClick() {
        "use strict";
        // gọi hàm đổi màu nút
        // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
        // data-is-selected-menu của nút Basic là Y, các nút khác là N
        changeComboButtonColor(gCOMBO_PRO);
        //tạo một đối tượng menu, được tham số hóa
        var vCombo = getPlan(gCOMBO_PRO, 50, 25, 10, 5, 29);

        // gọi method hiển thị thông tin
        vCombo.displayInConsoleLog();
    }
    function onBtnPremiumClick() {
        "use strict";
        // gọi hàm đổi màu nút
        // chỉnh combo, combo được chọn là Small, đổi nút, và đánh dấu
        // data-is-selected-menu của nút Basic là Y, các nút khác là N
        changeComboButtonColor(gCOMBO_PREMIUM);
        //tạo một đối tượng menu, được tham số hóa
        var vCombo = getPlan(gCOMBO_PREMIUM, 100, 15, 5, 2, 49);

        // gọi method hiển thị thông tin
        vCombo.displayInConsoleLog();
    }

    //function get combo (lấy menu được chọn)
    //function trả lại một đối tượng combo (menu được chọn) được tham số hóa
    function getPlan(paramName, paramLorem,paramLpsum, paramDolor, paramSit, paramPrice
    ) {
        var vSelectedMenu = {
            pricingName: paramName, // S, M, L
            lorem: paramLorem,
            lpsum: paramLpsum,
            dolor: paramDolor,
            sit: paramSit,
            price: paramPrice,
            displayInConsoleLog() {
                console.log("%cPLAN MENU COMBO - .........", "color:blue");
                console.log(this.pricingName); //this = "đối tượng này"
                console.log("lorem: " + this.lorem);
                console.log("lpsum: " + this.lpsum);
                console.log("dolor: " + this.dolor);
                console.log("sit:" + this.sit);
                console.log("price: " + this.price);
            },
        };
        return vSelectedMenu;
    }

    // hàm đổi mầu nút khi chọn combo
    function changeComboButtonColor(paramPlan) {
        var vBtnBasic = $("#btn-basic");
        var vBtnPro = $("#btn-pro");
        var vBtnPremium = $("#btn-premium");

        if (paramPlan === gCOMBO_BASIC) {
            //nếu chọn menu Small thì thay màu nút chọn kích cỡ small bằng màu cam (btn-warning), hai nút kia xanh (btn-info)
            // đổi giá trị data-is-selected-menu
            vBtnBasic.prop("class", "btn btn-warning");
            vBtnBasic.prop("data-is-selected-menu", "Y");

            vBtnPro.prop("class", "btn btn-info");
            vBtnPro.prop("data-is-selected-menu", "N");

            vBtnPremium.prop("class", "btn btn-info");
            vBtnPremium.prop("data-is-selected-menu", "N");
        } else if (paramPlan === gCOMBO_PRO) {
            //nếu chọn menu Medium thì thay màu nút chọn kích cỡ Medium bằng màu cam (btn-warning), hai nút kia xanh (btn-info)
            // đổi giá trị data-is-selected-menu
            vBtnBasic.prop("class", "btn btn-info");
            vBtnBasic.prop("data-is-selected-menu", "N");

            vBtnPro.prop("class", "btn btn-warning");
            vBtnPro.prop("data-is-selected-menu", "Y");

            vBtnPremium.prop("class", "btn btn-info");
            vBtnPremium.prop("data-is-selected-menu", "N");
        } else if (paramPlan === gCOMBO_PREMIUM) {
            //nếu chọn menu Large thì thay màu nút chọn kích cỡ Large bằng màu cam (btn-warning), hai nút kia xanh (btn-info)
            // đổi giá trị data-is-selected-menu
            vBtnBasic.prop("class", "btn btn-info");
            vBtnBasic.prop("data-is-selected-menu", "N");

            vBtnPro.prop("class", "btn btn-info");
            vBtnPro.prop("data-is-selected-menu", "N");

            vBtnPremium.prop("class", "btn btn-warning");
            vBtnPremium.prop("data-is-selected-menu", "Y");
        }
    }

</script>

<body>
    <div class="container">

        <div class="row">
            <div class="col-sm-12 text-center">
                <h2>Pricing</h2>
                <p>Choose a payment plan that works for you</p>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <!-- Basic -->
                    <div class="col-sm-4">
                        <div class="row card">
                            <div class="card-header bg-dark text-white text-center">
                                <h3>Basic</h3>
                            </div>
                            <div class="card-body text-center">
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item"><b>20</b> Lorem</li>
                                    <li class="list-group-item"><b>15</b> lpsum</li>
                                    <li class="list-group-item"><b>5</b> Dolor</li>
                                    <li class="list-group-item"><b>2</b> Sit</li>
                                    <li class="list-group-item"><b>Endless</b> Amet</li>
                                </ul>
                            </div>
                            <div class="card-footer text-center">
                                <h3>$19</h3>
                                <p>per month</p>
                                <button class="btn btn-info" id="btn-basic" data-is-selected-menu="N">
                                    Sign Up
                                </button>
                            </div>

                        </div>
                    </div>
                    <!-- PRO -->
                    <div class="col-sm-4">
                        <div class="row card">
                            <div class="card-header bg-secondary text-white text-center">
                                <h3>Pro</h3>
                            </div>
                            <div class="card-body text-center">
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item"><b>50</b> Lorem</li>
                                    <li class="list-group-item"><b>25</b> lpsum</li>
                                    <li class="list-group-item"><b>10</b> Dolor</li>
                                    <li class="list-group-item"><b>5</b> Sit</li>
                                    <li class="list-group-item"><b>Endless</b> Amet</li>
                                </ul>
                            </div>
                            <div class="card-footer text-center">
                                <h3>$29</h3>
                                <p>per month</p>
                                <button class="btn btn-info" id="btn-pro" data-is-selected-menu="N">
                                    Sign Up
                                </button>
                            </div>

                        </div>
                    </div>
                    <!-- Premium -->
                    <div class="col-sm-4">
                        <div class="row card">
                            <div class="card-header bg-dark text-white text-center">
                                <h3>Premium</h3>
                            </div>
                            <div class="card-body text-center">
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item"><b>100</b> Lorem</li>
                                    <li class="list-group-item"><b>50</b> lpsum</li>
                                    <li class="list-group-item"><b>25</b> Dolor</li>
                                    <li class="list-group-item"><b>10</b> Sit</li>
                                    <li class="list-group-item"><b>Endless</b> Amet</li>
                                </ul>
                            </div>
                            <div class="card-footer text-center">
                                <h3>$49</h3>
                                <p>per month</p>
                                <button class="btn btn-info" id="btn-premium" data-is-selected-menu="N">
                                    Sign Up
                                </button>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>